/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : KBI1.H
**     Project   : DC15
**     Processor : MC9S08QG8CPB
**     Beantype  : Init_KBI
**     Version   : Bean 01.018, Driver 01.05, CPU db: 2.87.108
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 2/15/2007, 3:44 PM
**     Abstract  :
**          This file implements the KBI (KBI) module initialization
**          according to the Peripheral Initialization Bean settings, and defines
**          interrupt service routines prototypes.
**          The KBI module is the serial peripheral interface module,which allows 
**          full-duplex, synchronous, serial communications with peripheral devices.
**          The keyboard interrupt module (KBI) provides a few independently maskable 
**          external interrupts. When a port pin is enabled for keyboard interrupt 
**          function, an internal pullup/pulldown device is also enabled on the pin.

**     Settings  :
**          Bean name                                      : KBI1
**          Device                                         : KBI
**          Settings 
**            Triggering sensitivity                       : edge
**          Pins 
**            Pin0                                         : Disabled
**            Pin1                                         : Disabled
**            Pin2                                         : Enabled
**              Pin                                        : PTA2_KBIP2_SDA_ADP2
**              Pin signal                                 : 
**            Pin3                                         : Disabled
**            Pin4                                         : Disabled
**            Pin5                                         : Disabled
**            Pin6                                         : Disabled
**            Pin7                                         : Disabled
**          Interrupts 
**            Keyboard request 
**              Interrupt                                  : Vkeyboard
**              Keyboard request interrupt                 : Enabled
**              ISR name                                   : isrVkeyboard
**          Initialization 
**            Call Init method                             : yes
**     Contents  :
**         Init - void KBI1_Init(void);
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2006
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __KBI1
#define __KBI1

/* MODULE KBI1. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */

#include "Cpu.h"


/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see KBI1.c file for more information).
** ===================================================================
*/
__interrupt void isrVkeyboard(void);

void KBI1_Init(void);
/*
** ===================================================================
**     Method      :  KBI1_Init (bean Init_KBI)
**
**     Description :
**         This method initializes registers of the KBI module
**         according to this Peripheral Initialization Bean settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the bean for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END KBI1. */

#endif
/* ifndef __KBI1 */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [03.85]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
